aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.ListGroups

Synopsis

- data ListGroups = ListGroups {
  - lgPathPrefix :: Maybe Text
  - lgMarker :: Maybe Text
  - lgMaxItems :: Maybe Integer
  }
- data ListGroupsResponse = ListGroupsResponse {
  - lgrGroups :: [Group]
  - lgrIsTruncated :: Bool
  - lgrMarker :: Maybe Text
  }
- data Group = Group {
  - groupArn :: Text
  - groupCreateDate :: UTCTime
  - groupPath :: Text
  - groupGroupId :: Text
  - groupGroupName :: Text
  }

# Documentation

data ListGroups Source #

Lists groups that have the specified path prefix.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_ListGroups.html

Constructors

ListGroups |

Fields

- lgPathPrefix :: Maybe Text

  Groups defined under this path will be listed. If omitted, defaults to `/`, which lists all groups.

- lgMarker :: Maybe Text

  Used for paginating requests. Marks the position of the last request.

- lgMaxItems :: Maybe Integer

  Used for paginating requests. Specifies the maximum number of items to return in the response. Defaults to 100.

#### Instances

Instances details

SignQuery ListGroups Source # |

Instance details

Defined in Aws.Iam.Commands.ListGroups

Associated Types

type ServiceConfiguration ListGroups |
Instance details Defined in Aws.Iam.Commands.ListGroups type ServiceConfiguration ListGroups = IamConfiguration

Methods

signQuery :: ListGroups -> ServiceConfiguration ListGroups queryType -> SignatureData -> SignedQuery Source #

Show ListGroups Source # |
Instance details Defined in Aws.Iam.Commands.ListGroups Methods showsPrec :: Int -> ListGroups -> ShowS Source # show :: ListGroups -> String Source # showList :: [ListGroups] -> ShowS Source #
Eq ListGroups Source # |
Instance details Defined in Aws.Iam.Commands.ListGroups Methods (==) :: ListGroups -> ListGroups -> Bool Source # (/=) :: ListGroups -> ListGroups -> Bool Source #
Ord ListGroups Source # |

Instance details

Defined in Aws.Iam.Commands.ListGroups

Methods

compare :: ListGroups -> ListGroups -> Ordering Source #

(<) :: ListGroups -> ListGroups -> Bool Source #

(<=) :: ListGroups -> ListGroups -> Bool Source #

(>) :: ListGroups -> ListGroups -> Bool Source #

(>=) :: ListGroups -> ListGroups -> Bool Source #

max :: ListGroups -> ListGroups -> ListGroups Source #

min :: ListGroups -> ListGroups -> ListGroups Source #

IteratedTransaction ListGroups ListGroupsResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroups Methods nextIteratedRequest :: ListGroups -> ListGroupsResponse -> Maybe ListGroups Source #
ResponseConsumer ListGroups ListGroupsResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListGroups

Associated Types

type ResponseMetadata ListGroupsResponse |
Instance details Defined in Aws.Iam.Commands.ListGroups type ResponseMetadata ListGroupsResponse = IamMetadata

Methods

responseConsumer :: Request -> ListGroups -> IORef (ResponseMetadata ListGroupsResponse) -> HTTPResponseConsumer ListGroupsResponse Source #

Transaction ListGroups ListGroupsResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroups
type ServiceConfiguration ListGroups Source # |
Instance details Defined in Aws.Iam.Commands.ListGroups type ServiceConfiguration ListGroups = IamConfiguration

data ListGroupsResponse Source #

Constructors

ListGroupsResponse |

Fields

- lgrGroups :: [Group]

  List of `Group`s.

- lgrIsTruncated :: Bool

  `True` if the request was truncated because of too many items.

- lgrMarker :: Maybe Text

  Marks the position at which the request was truncated. This value must be passed with the next request to continue listing from the last position.

#### Instances

Instances details

AsMemoryResponse ListGroupsResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListGroups

Associated Types

type MemoryResponse ListGroupsResponse |
Instance details Defined in Aws.Iam.Commands.ListGroups type MemoryResponse ListGroupsResponse = ListGroupsResponse

Methods

loadToMemory :: ListGroupsResponse -> ResourceT IO (MemoryResponse ListGroupsResponse) Source #

Show ListGroupsResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroups Methods showsPrec :: Int -> ListGroupsResponse -> ShowS Source # show :: ListGroupsResponse -> String Source # showList :: [ListGroupsResponse] -> ShowS Source #
Eq ListGroupsResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroups Methods (==) :: ListGroupsResponse -> ListGroupsResponse -> Bool Source # (/=) :: ListGroupsResponse -> ListGroupsResponse -> Bool Source #
Ord ListGroupsResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListGroups

Methods

compare :: ListGroupsResponse -> ListGroupsResponse -> Ordering Source #

(<) :: ListGroupsResponse -> ListGroupsResponse -> Bool Source #

(<=) :: ListGroupsResponse -> ListGroupsResponse -> Bool Source #

(>) :: ListGroupsResponse -> ListGroupsResponse -> Bool Source #

(>=) :: ListGroupsResponse -> ListGroupsResponse -> Bool Source #

max :: ListGroupsResponse -> ListGroupsResponse -> ListGroupsResponse Source #

min :: ListGroupsResponse -> ListGroupsResponse -> ListGroupsResponse Source #

IteratedTransaction ListGroups ListGroupsResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroups Methods nextIteratedRequest :: ListGroups -> ListGroupsResponse -> Maybe ListGroups Source #
ResponseConsumer ListGroups ListGroupsResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListGroups

Associated Types

type ResponseMetadata ListGroupsResponse |
Instance details Defined in Aws.Iam.Commands.ListGroups type ResponseMetadata ListGroupsResponse = IamMetadata

Methods

responseConsumer :: Request -> ListGroups -> IORef (ResponseMetadata ListGroupsResponse) -> HTTPResponseConsumer ListGroupsResponse Source #

Transaction ListGroups ListGroupsResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroups
type MemoryResponse ListGroupsResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroups type MemoryResponse ListGroupsResponse = ListGroupsResponse
type ResponseMetadata ListGroupsResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroups type ResponseMetadata ListGroupsResponse = IamMetadata

data Group Source #

The IAM `Group` data type.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_Group.html

Constructors

Group |

Fields

- groupArn :: Text

  ARN used to refer to this group.

- groupCreateDate :: UTCTime

  Date and time at which the group was created.

- groupPath :: Text

  Path under which the group was created.

- groupGroupId :: Text

  Unique identifier used to refer to this group.

- groupGroupName :: Text

  Name of the group.

#### Instances

Instances details

Show Group Source # |
Instance details Defined in Aws.Iam.Core Methods showsPrec :: Int -> Group -> ShowS Source # show :: Group -> String Source # showList :: [Group] -> ShowS Source #
Eq Group Source # |
Instance details Defined in Aws.Iam.Core Methods (==) :: Group -> Group -> Bool Source # (/=) :: Group -> Group -> Bool Source #
Ord Group Source # |
Instance details Defined in Aws.Iam.Core Methods compare :: Group -> Group -> Ordering Source # (<) :: Group -> Group -> Bool Source # (<=) :: Group -> Group -> Bool Source # (>) :: Group -> Group -> Bool Source # (>=) :: Group -> Group -> Bool Source # max :: Group -> Group -> Group Source # min :: Group -> Group -> Group Source #